@media screen and (max-width: 576px) {
  .sm-1 {
    width: Calc(100% / 12);
  }
  .sm-2 {
    width: Calc(100% / 6);
  }
  .sm-3 {
    width: 25%;
  }
  .sm-4 {
    width: Calc(100% / 3);
  }
  .sm-5 {
    width: Calc((100% / 12) * 5);
  }
  .sm-6 {
    width: 50%;
  }
  .sm-7 {
    width: Calc((100% / 12) * 7);
  }
  .sm-8 {
    width: Calc((100% / 12) * 8);
  }
  .sm-9 {
    width: 75%;
  }
  .sm-10 {
    width: Calc((100% / 12) * 10);
  }
  .sm-11 {
    width: Calc((100% / 12) * 11);
  }
  .sm-12 {
    width: 100%;
  }
}

@media screen and (min-width: 577px) and (max-width: 991px) {
  .md-1 {
    width: Calc(100% / 12);
  }
  .md-2 {
    width: Calc(100% / 6);
  }
  .md-3 {
    width: 25%;
  }
  .md-4 {
    width: Calc(100% / 3);
  }
  .md-5 {
    width: Calc((100% / 12) * 5);
  }
  .md-6 {
    width: 50%;
  }
  .md-7 {
    width: Calc((100% / 12) * 7);
  }
  .md-8 {
    width: Calc((100% / 12) * 8);
  }
  .md-9 {
    width: 75%;
  }
  .md-10 {
    width: Calc((100% / 12) * 10);
  }
  .md-11 {
    width: Calc((100% / 12) * 11);
  }
  .md-12 {
    width: 100%;
  }
}

@media screen and (min-width: 992px) {
  .lg-1 {
    width: Calc(100% / 12);
  }
  .lg-2 {
    width: Calc(100% / 6);
  }
  .lg-3 {
    width: 25%;
  }
  .lg-4 {
    width: Calc(100% / 3);
  }
  .lg-5 {
    width: Calc((100% / 12) * 5);
  }
  .lg-6 {
    width: 50%;
  }
  .lg-7 {
    width: Calc((100% / 12) * 7);
  }
  .lg-8 {
    width: Calc((100% / 12) * 8);
  }
  .lg-9 {
    width: 75%;
  }
  .lg-10 {
    width: Calc((100% / 12) * 10);
  }
  .lg-11 {
    width: Calc((100% / 12) * 11);
  }
  .lg-12 {
    width: 100%;
  }
}
